> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payin/submit-a-payin/poland/blik-redirect.md).

# BLIK(redirect)

BLIK is a local payment method in Poland that allows users to complete payments through their banking app.

This endpoint allows you to submit a payin by BLIK in Poland.

After the payment order is created successfully, Pagsmile returns a `pay_url`. Redirect the user to the `pay_url` to continue and complete the payment.

{% hint style="info" %}
BLIK supports real-time payment processing.
{% endhint %}

{% hint style="info" %}
BLIK supports partial refund.
{% endhint %}

{% hint style="info" %}
The supported amount range is `0.01` to `50000` PLN per transaction. Most issuers may have a limit of `10000` PLN per transaction.
{% endhint %}

<mark style="color:green;">POST</mark> `https://gateway.pagsmile.com/trade/pay`

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; chartset=UTF-8           |
| Authorization<mark style="color:red;">\*</mark> | string | Basic Base($app\_*id:$security\_*&#x6B;ey) |

#### Request Body

<table><thead><tr><th width="142.4296875">Parameter</th><th width="94.671875">Type</th><th width="120.66015625">Required</th><th>Constraints</th><th>Description</th></tr></thead><tbody><tr><td>app_id</td><td>string</td><td>Required</td><td>Max length: 32</td><td>The merchant application ID assigned by Pagsmile.</td></tr><tr><td>out_trade_no</td><td>string</td><td>Required</td><td>Max length: 64</td><td>Merchant order number. Must be unique.</td></tr><tr><td>method</td><td>string</td><td>Required</td><td>Fixed value: <code>BLIK</code></td><td>Payment method.</td></tr><tr><td>order_currency</td><td>string</td><td>Required</td><td>Fixed value: <code>PLN</code></td><td>Payment currency.</td></tr><tr><td>order_amount</td><td>string</td><td>Required</td><td>Min: <code>0.01</code>; max: <code>50000</code>; most issuers may have a limit of <code>10000</code> per transaction</td><td>Payment amount.</td></tr><tr><td>subject</td><td>string</td><td>Required</td><td>Max length: 128</td><td>Payment subject or order title.</td></tr><tr><td>content</td><td>string</td><td>Optional</td><td>Max length: 255</td><td>Payment content or order description.</td></tr><tr><td>timestamp</td><td>string</td><td>Required</td><td>Format: <code>yyyy-MM-dd HH:mm:ss</code>; max length: 19</td><td>Request timestamp.</td></tr><tr><td>notify_url</td><td>string</td><td>Required</td><td>Valid URL</td><td>The URL to receive payment notifications.</td></tr><tr><td>buyer_id</td><td>string</td><td>Required</td><td>Max length: 64</td><td>Merchant-side user ID.</td></tr><tr><td>customer.name</td><td>string</td><td>Required</td><td>Max length: 128</td><td>Customer's name.</td></tr><tr><td>customer.email</td><td>string</td><td>Required</td><td>Valid email address</td><td>Customer's email address.</td></tr></tbody></table>

#### Request Sample

```json
{
  "app_id": "170***697",
  "out_trade_no": "out_trade_no_116***083",
  "method": "Blik",
  "order_currency": "PLN",
  "order_amount": "1",
  "subject": "test 10",
  "content": "test 10",
  "timestamp": "2021-08-04 18:50:42",
  "notify_url": "http://demo.gemini-tiger.cn/callback/success",
  "buyer_id": "buyer_pix",
  "customer": {
    "name": "Test User Name",
    "email": "test@mail.com"
  }
}
```

#### Response Sample

```json
{
  "code": "10000",
  "msg": "Success",
  "prepay_id": "eEEwN***8D74e",
  "trade_no": "2026***509",
  "out_trade_no": "out_trade_no_116**83",
  "web_url": "",
  "pay_url": "https://redirect-euw1.ppro.com/v0/pages/form-post?redirection_token=eyJ****piAw",
  "trade_status": "PROCESSING"
}
```

{% hint style="info" %}
After receiving the `pay_url`, redirect the user to the `pay_url` to continue the payment.
{% endhint %}
